#
# spec file for package ham-fax
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           ham-fax
Version:        0.8.1git20200921
Release:        3.16
Summary:        Send and receive radio facsimiles
License:        GPL-2.0
Group:          Productivity/Hamradio/Fax
URL:            https://github.com/sergioisidoro/ham-fax
#GitClone:      https://github.com/sergioisidoro/ham-fax.git
Source:         %{name}-%{version}.tar.gz
Patch0:         ham-fax-hamlib42.patch
Patch1:         ham-fax-fix-missing-return-value.patch
Patch2:         ham-fax-find-lrelease-qt5.patch
Patch3:         ham-fax-fix-build-with-gcc14.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-linguist
BuildRequires:  audiofile-devel
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
Requires:       hicolor-icon-theme
Conflicts:      hamfax

%description
Ham-fax is a HamFax port to Qt 5.x.
HamFax is an application for sending and receiving facsimilies in
amateur radio. You can either use a sound card as interface to the
transceiver or a SCS-PTC-II.
Receiving of weather facsimile broadcasts is also possible.

Authors:
--------
    Christof Schmitt, DH1CS <cschmitt@users.sourceforge.net>

%prep
%autosetup -p1 -n %{name}

%build
autoreconf -f -i
%configure
%make_build

%install
%make_install

#move icon to proper place
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/icons/hamfax.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

%suse_update_desktop_file -i -r -G "Send and receive radio facsimiles" hamfax "Network;HamRadio"

%check

%files
%{_datadir}/applications/hamfax.desktop
%doc AUTHORS ChangeLog README TODO NEWS
%license COPYING
%{_bindir}/hamfax
%{_datadir}/hamfax
%{_datadir}/icons/hicolor/scalable/apps/hamfax.svg
%{_mandir}/man1/*

%changelog
* Tue Dec 31 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fix desktop category and icon location
* Thu Oct 17 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Add patch ham-fax-fix-build-with-gcc14.patch to fix build with
  latest gcc
- Use %%autosetup macro instead of %%patchN and add empty %%check
  section to fix build for Factory and Tumbleweed
* Fri Dec 31 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- HamFax ported to Qt 5.x
- initial specfile, based on hamfax.spec
- git snapshot 0.8.1git20200921
